package work.xuye.common.db.entity.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;
import java.util.Map;

/**
 * @author yechuan
 * @since 2023/8/8 19:09
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
public class NextTaskFilter {
    private String filterArgs;
    private String mode;
    private String uniqueKey;
    private List<NextNodeConfig> nextNodes;
    private Map<String, String> placeholderExpressions = Map.of();

    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    public static class NextNodeConfig {
        private String topic;
        private String condition;
        private String payload;
    }
}
